#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.1.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.1.0.0-7JY1wLeE8YgCbPMobqnHaV-tasty-sugar-internal

key:
    tasty-sugar-2.1.0.0-7JY1wLeE8YgCbPMobqnHaV-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  f986c0ef48d4a789e53df1bec508f74d
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.1.0.0-7JY1wLeE8YgCbPMobqnHaV-tasty-sugar-internal

depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-GmnXjcHTQ6PJKBRLh4kWqP filepath-1.4.2.2
    kvitable-1.0.3.0-JFpHX857rjJEplwdloUpSI
    logict-0.7.1.0-9SIiSKEetRrBuEAxDEFtkT
    microlens-0.4.13.1-HPplyG5VOciEIF62YegSgA mtl-2.2.2
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-5Y36Nmw1l1C6ihqr30uWvO text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.1.0.0
visibility:           public
id:                   tasty-sugar-2.1.0.0-61qBAqQpZIS3ChAlHc7iMP
key:                  tasty-sugar-2.1.0.0-61qBAqQpZIS3ChAlHc7iMP
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  d1ca9fffdda752b6ffc79fd1676a4f1c
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.1.0.0-61qBAqQpZIS3ChAlHc7iMP
depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-GmnXjcHTQ6PJKBRLh4kWqP filepath-1.4.2.2
    logict-0.7.1.0-9SIiSKEetRrBuEAxDEFtkT
    optparse-applicative-0.17.1.0-92ShIE9pEy5K3fr8qppb26
    prettyprinter-1.7.1-5Y36Nmw1l1C6ihqr30uWvO
    tasty-1.4.3-7mwiS20bCN4I3SJ3l4eJAB
    tasty-sugar-2.1.0.0-7JY1wLeE8YgCbPMobqnHaV-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

